<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Ficha Medica</title>
    </h:head>
    <h:body>

        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <h:form>
                    <p:dataGrid value="#{detallesPersonalController.listAlumno}" var="alumno" id="tbl" >
                        <f:facet name="header">
                            Ficha de Identificación
                        </f:facet>
                        <p:fieldset legend="Alumno" toggleable="true" style="margin-bottom:10px">
                            <h:panelGrid columns="4" cellpadding="5" cellspacing="7" style="width: 95%" >
                                <h:outputText value="Fecha de Elaboración:" />
                                <h:outputText value="#{alumno.fecharegistro}" style="font-weight: bold"><f:convertDateTime pattern="dd/MM/yyy HH:mm"/></h:outputText>
                                <h:outputText value="Nombre Completo:" />
                                <h:outputText value="#{alumno.nombres}" style="font-weight: bold"/>
                                <h:outputText value="Carnet: " />
                                <h:outputText value="#{alumno.carnet}" style="font-weight: bold"/>
                                <h:outputText value="Facultad: " />
                                <h:outputText value="#{alumno.carrera.facultad.facultad}" style="font-weight: bold"/>
                                <h:outputText value="Carrera: " />
                                <h:outputText value="#{alumno.carrera.carrera}" style="font-weight: bold"/>
                                <h:outputText value="Edad: " />
                                <h:outputText value="#{alumno.edad}" style="font-weight: bold"/>
                                <h:outputText value="Género: " />
                                <h:outputText value="#{alumno.genero.genero}" style="font-weight: bold"/>
                                <h:outputText value="Estado Civil:" />
                                <h:outputText value="#{alumno.estado_civil.estado}" style="font-weight: bold"/>
                                <h:outputText value="Departamento: " />
                                <h:outputText value="#{alumno.municipio.departamento.departamento}" style="font-weight: bold"/>
                                <h:outputText value="Municipio: " />
                                <h:outputText value="#{alumno.municipio.municipio}" style="font-weight: bold"/>
                                <h:outputText value="Médico que Registró: " />
                                <h:outputText value="#{alumno.usuario.medico}" style="font-weight: bold"/>
                                <h:outputText value="Aceptó Investigación: " />
                                <h:outputText value="#{alumno.acuerdo}" style="font-weight: bold"/>
                            </h:panelGrid>
                        </p:fieldset>


                        <p:fieldset legend="Antecedentes Heredo Familiar" style="margin-bottom:10px">
                            <p:dataGrid  value="#{detallesPersonalController.listHeredo_alumno}" var="heredo" >

                                <h:panelGrid columns="2" cellpadding="5" cellspacing="7" >
                                    <h:outputText value="Antecedente Familiar: " />
                                    <h:outputText value="#{heredo.ante_familiar.antecedente_f}" style="font-weight: bold"/>
                                    <h:outputText value="Descripcion: " rendered="#{heredo.descripcion!=null}"/>
                                    <h:outputText value="#{heredo.descripcion}" style="font-weight: bold" rendered="#{heredo.descripcion!=null}"/>
                                    <h:outputText value="Tipo de cancer :" rendered="#{heredo.tipo_cancer.tipo!=null}"/>
                                    <h:outputText value="#{heredo.tipo_cancer.tipo}" style="font-weight: bold" rendered="#{heredo.tipo_cancer.tipo!=null}"/>
                                </h:panelGrid>
                            </p:dataGrid>
                        </p:fieldset>


                        <p:fieldset legend="Antecedentes Personales" style="margin-bottom:10px" >
                            <p:dataGrid value="#{detallesPersonalController.listAnte_alumno}" var="ante" >
                                <h:panelGrid columns="2" style="width:100%" columnClasses="logo,detail">
                                    <p:outputPanel>
                                        <h:panelGrid columns="2" cellpadding="5">
                                            <h:outputText value="Antecedente Personal:" />
                                            <h:outputText value="#{ante.ante_personal.antecedente_p}" style="font-weight: bold"/>
                                            <h:outputText value="Descripcion: " rendered="#{ante.descripcion!=null}"/>
                                            <h:outputText value="#{ante.descripcion}" style="font-weight: bold" rendered="#{ante.descripcion!=null}"/>
                                        </h:panelGrid>
                                    </p:outputPanel>
                                </h:panelGrid>
                            </p:dataGrid>
                        </p:fieldset>


                        <p:fieldset legend="Ecologico Social" style="margin-bottom:10px">
                            <p:dataGrid value="#{detallesPersonalController.listEcologico_Social}" var="ecososial">
                                <h:panelGrid columns="2" style="width:100%" cellpadding="5">

                                    <h:outputText value="Tipo de Agua: " />
                                    <h:outputText value="#{ecososial.tipo_Agua.tipo}" style="font-weight: bold"/>
                                    <h:outputText value="Construccion Paredes: "/>
                                    <h:outputText value="#{ecososial.cons_pared.tipo}" style="font-weight: bold"/>
                                    <h:outputText value="Tipo de Techo: "/>
                                    <h:outputText value="#{ecososial.tipo_Techo.tipo}" style="font-weight: bold"/>
                                    <h:outputText value="Tipo de Piso: "/>
                                    <h:outputText value="#{ecososial.tipo_piso.tipo}" style="font-weight: bold"/>


                                    <p:dataGrid value="#{detallesPersonalController.listEcologico_Mascota}" var="mascotas" style="margin-left:-5px;">
                                        <h:outputText value="Mascota: " />
                                        <h:outputText value="#{mascotas.mascota.especie}  " style="font-weight: bold; padding-right: 80px;"/>
                                        <h:outputText rendered="#{mascotas.descripcion!=null}" value="Descripcion: " />
                                        <h:outputText rendered="#{mascotas.descripcion!=null}" value="#{mascotas.descripcion}" style="font-weight: bold"/>
                                    </p:dataGrid>


                                    <p:dataGrid value="#{detallesPersonalController.listVivienda}" var="vivienda" style="margin-left:-5px;">
                                        <h:outputText value="Habitantes: " />
                                        <h:outputText value="#{vivienda.habitante}  " style="font-weight: bold"/>
                                        <h:outputText value="Habitaciones: " />
                                        <h:outputText value="#{vivienda.habitacion}  " style="font-weight: bold"/>
                                        <h:outputText value="Baños:   " />
                                        <h:outputText value="#{vivienda.banio}  " style="font-weight: bold"/>
                                    </p:dataGrid>

                                </h:panelGrid>

                            </p:dataGrid>
                        </p:fieldset>


                        <p:fieldset legend="Otros Antecedentes" style="margin-bottom:10px">
                            <p:dataGrid value="#{detallesPersonalController.listOtro_Antecedente}" var="oa">
                                <h:panelGrid columns="2" style="width:100%" columnClasses="logo,detail">
                                    <p:outputPanel>
                                        <h:panelGrid columns="2" cellpadding="5">
                                            <h:outputText value="Imnunización:" />
                                            <h:outputText value="#{oa.inmunizacion}" style="font-weight: bold"/>
                                            <h:outputText value="Tipo de Sangre: " />
                                            <h:outputText value="#{oa.tipo_sangre.tipo}" style="font-weight: bold"/>
                                            <h:outputText value="Menarca: " rendered="#{oa.alumno.genero.genero=='Femenino'}"/>
                                            <h:outputText value="#{oa.menarca}" style="font-weight: bold" rendered="#{oa.alumno.genero.genero=='Femenino'}"><f:convertDateTime pattern="dd-MM-yyyy" /></h:outputText>
                                            <h:outputText value="FUM: " rendered="#{oa.alumno.genero.genero=='Femenino'}"/>
                                            <h:outputText value="#{oa.fum}" style="font-weight: bold" rendered="#{oa.alumno.genero.genero=='Femenino'}"><f:convertDateTime pattern="dd-MM-yyyy" /></h:outputText>
                                            <h:outputText value="Metodo Anticonceptivo:" />
                                            <h:outputText value="#{oa.metodo_anti.metodo}" style="font-weight: bold"/>
                                        </h:panelGrid>
                                    </p:outputPanel>
                                </h:panelGrid>
                            </p:dataGrid>
                        </p:fieldset>



                        <p:fieldset legend="Antecedentes de Riesgo" style="margin-bottom:10px">
                            <p:dataGrid value="#{detallesPersonalController.listriesgo_Alumno}" var="riesgo">
                                <h:panelGrid columns="6" cellpadding="5">
                                    <h:outputText value="Tabaquismo:" />
                                    <h:outputText value="#{riesgo.tabaquismo}" style="font-weight: bold"/>
                                    <h:outputText value="N° Cigarrillos Semanal" rendered="#{riesgo.ncigarros!=null}"/>
                                    <h:outputText value="#{riesgo.ncigarros}" rendered="#{riesgo.ncigarros!=null}" style="font-weight: bold"/>
                                    <h:outputText rendered="#{riesgo.ncigarros!=null}"/>
                                    <h:outputText rendered="#{riesgo.ncigarros!=null}"/>
                                    <h:outputText rendered="#{riesgo.ncigarros==null}"/>
                                    <h:outputText rendered="#{riesgo.ncigarros==null}"/>
                                    <h:outputText rendered="#{riesgo.ncigarros==null}"/>
                                    <h:outputText rendered="#{riesgo.ncigarros==null}"/>

                                    <h:outputText value="Alcoholismo:" />
                                    <h:outputText value="#{riesgo.alcoholismo}" style="font-weight: bold"/>
                                    <h:outputText value="Frecuencia:" rendered="#{riesgo.frecuencia!=null}"/>
                                    <h:outputText value="#{riesgo.frecuencia}" style="font-weight: bold" rendered="#{riesgo.frecuencia!=null}"/>
                                    <h:outputText rendered="#{riesgo.frecuencia!=null}"/>
                                    <h:outputText rendered="#{riesgo.frecuencia!=null}"/>
                                    <h:outputText rendered="#{riesgo.frecuencia==null}"/>
                                    <h:outputText rendered="#{riesgo.frecuencia==null}"/>
                                    <h:outputText rendered="#{riesgo.frecuencia==null}"/>
                                    <h:outputText rendered="#{riesgo.frecuencia==null}"/>
                                    <h:outputText value="Toxicomanía:"/>
                                    <h:outputText value="#{riesgo.toxicomonia}" style="font-weight: bold"/>
                                    <h:outputText value="Frecuencia:" rendered="#{riesgo.frecuenciataxi!=null}"/>
                                    <h:outputText value="#{riesgo.frecuenciataxi}" style="font-weight: bold" rendered="#{riesgo.frecuenciataxi!=null}"/>
                                    <h:outputText value="Tipo:" rendered="#{riesgo.tipotoxico!=null}"/>
                                    <h:outputText value="#{riesgo.tipotoxico}" style="font-weight: bold" rendered="#{riesgo.tipotoxico!=null}"/>
                                    <h:outputText rendered="#{riesgo.frecuenciataxi==null}" />
                                    <h:outputText rendered="#{riesgo.frecuenciataxi==null}" />
                                    <h:outputText rendered="#{riesgo.frecuenciataxi==null}" />
                                    <h:outputText rendered="#{riesgo.frecuenciataxi==null}" />

                                    <h:outputText value="Violencia:" />
                                    <h:outputText value="#{riesgo.violencia}" style="font-weight: bold"/>
                                    <h:outputText value="Tipo:" rendered="#{riesgo.tipoviolencia!=null}"/>
                                    <h:outputText value="#{riesgo.tipoviolencia}" style="font-weight: bold" rendered="#{riesgo.tipoviolencia!=null}"/>
                                    <h:outputText rendered="#{riesgo.tipoviolencia!=null}"/>
                                    <h:outputText rendered="#{riesgo.tipoviolencia!=null}"/>

                                    <h:outputText rendered="#{riesgo.tipoviolencia==null}"/>
                                    <h:outputText rendered="#{riesgo.tipoviolencia==null}"/>
                                    <h:outputText rendered="#{riesgo.tipoviolencia==null}"/>
                                    <h:outputText rendered="#{riesgo.tipoviolencia==null}"/>

                                    <h:outputText value="Ansiedad:" />
                                    <h:outputText value="#{riesgo.ansiedad}" style="font-weight: bold"/>
                                    <h:outputText />
                                    <h:outputText />
                                    <h:outputText />
                                    <h:outputText />
                                    <h:outputText value="Depresión:" />
                                    <h:outputText value="#{riesgo.depresion}" style="font-weight: bold"/>
                                </h:panelGrid>
                            </p:dataGrid>
                        </p:fieldset>




                        <p:fieldset legend="Motivos de consulta" style="margin-bottom:auto;">
                            <p:dataGrid value="#{detallesPersonalController.listDiagnostico}" var="diagnostico" >
                                <h:panelGrid columns="2" style="width:100%" columnClasses="logo,detail">

                                    <h:panelGrid columns="2" cellpadding="5" style="margin-bottom: -10px;">
                                        <h:outputText value="Motivo de Consulta:" />
                                        <h:outputText value="#{diagnostico.motivo_cons}" style="font-weight: bold"/>
                                        <h:outputText value="Presente Enfermedad: " />
                                        <h:outputText value="#{diagnostico.presente_enf}" style="font-weight: bold"/>
                                        <h4 style="margin-bottom: -5px">Signos Vitales</h4>
                                        <h:outputText/>
                                        <h:panelGrid columns="4" style="margin-bottom:10px; padding-right: 5px;">

                                            <h:outputText value="Peso: " />
                                            <h:outputText value="#{diagnostico.signo_vital.peso} KG" style="font-weight: bold"/>
                                            <h:outputText value="Talla " />
                                            <h:outputText value="#{diagnostico.signo_vital.talla} mts" style="font-weight: bold"/>
                                            <h:outputText value="IMC (Peso/talla*talla)" />
                                            <h:outputText value="#{diagnostico.signo_vital.imc} KG" style="font-weight: bold"/>
                                            <h:outputText value="FC: " />
                                            <h:outputText value="#{diagnostico.signo_vital.fc} lat./min" style="font-weight: bold"/>
                                            <h:outputText value="FR: " />
                                            <h:outputText value="#{diagnostico.signo_vital.fr} ciclos/min" style="font-weight: bold"/>
                                            <h:outputText value="T°: " />
                                            <h:outputText value="#{diagnostico.signo_vital.temp} °c" style="font-weight: bold"/>
                                        </h:panelGrid>
                                        <h:outputText />
                                        <h:outputText value="Exploración General:" />
                                        <h:outputText value="#{diagnostico.exp_general}" style="font-weight: bold"/>
                                        <h:outputText value="Impresión Diagnóstica:" />
                                        <h:outputText value="#{diagnostico.impresion_diag}" style="font-weight: bold"/>
                                        <h:outputText value="Tratamiento:" />
                                        <h:outputText value="#{diagnostico.tratamiento}" style="font-weight: bold"/>
                                        <h:outputText value="Examenes de Control:" />
                                        <h:outputText value="#{diagnostico.examenes}" style="font-weight: bold"/>
                                    </h:panelGrid>

                                </h:panelGrid>
                            </p:dataGrid>
                        </p:fieldset>

                    </p:dataGrid>
                    <h:panelGrid style="margin-top: 10px; margin-bottom: 60px; margin-left: auto; margin-right:auto;">

                        <p:commandButton value="Imprimir" type="button" icon="pi pi-print" style="display:block; width: 100px;">
                            <p:printer target="tbl" />
                        </p:commandButton>

                    </h:panelGrid>
                </h:form>



            </ui:define>
        </ui:composition>
    </h:body>
</html>

